Subject: Re: Dental
From: "Mike" <[email-masked]>
To: "Ryan Dooley" <[email-masked]>
Date: Tue, 2 Aug 2011 17:19:29 -0400

Delta Dental is the provider (80% coverage - I think).  I do not have my card with me.  Angela would be able to give that to you.  Or I can look for it later and text it to you.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
  ----- Original Message ----- 
  From: Ryan Dooley 
  To: Mike 
  Sent: Tuesday, August 02, 2011 2:59 PM
  Subject: Dental

  Mike,

  Do you know who our dental insurance is through?  Would you know our member/group id?